Name:           plasma-applet-email-notify
Summary:        Plasma applet that allow to check all pop3/imap server (ssl and not)
Version:        0.3.1
Release:        %mkrel 4
Url:            http://www.kde-look.org/content/show.php/Email+Notify?content=75194
License:        GPLv2+
Group:          Graphical desktop/KDE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        emailnotify_v%version.tar
Patch0:         plasma-emailnotify-fix-build.patch
Patch1:         emailnotify_v0.3.1-fix-cmake.patch
Patch2:		plasma-emailnotify-fix-linkage.patch
BuildRequires:  plasma-devel

%description
With this plasmoid is possible to check all pop3/imap server (ssl and not).

%files
%defattr(-,root,root)
%_kde_libdir/kde4/plasma_applet_emailnotify.so
%_kde_iconsdir/hicolor/128x128/apps/emailnotify.png
%_kde_datadir/kde4/services/plasma-applet-emailnotify.desktop

#--------------------------------------------------------------------

%prep
%setup -q -n emailnotify 
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%clean
%{__rm} -rf "%{buildroot}"


%changelog
* Sat Mar 07 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.1-4mdv2009.1
+ Revision: 351726
- Rebuild against new KDE 4.2

* Mon Jan 19 2009 Funda Wang <fundawang@mandriva.org> 0.3.1-3mdv2009.1
+ Revision: 331079
- split patches

* Sat Jan 10 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.1-2mdv2009.1
+ Revision: 328130
- Fix compilation against kde 4.2

  + Funda Wang <fundawang@mandriva.org>
    - preparing for upcoming plasma movement

* Thu Aug 28 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.1-1mdv2009.0
+ Revision: 276730
- import plasma-applet-email-notify


